@charset "utf-8";

/* Top wrapper */
.menu-haut .wp-block-navigation-item .wp-block-navigation-item__content {
	padding: var(--wp--preset--spacing--tres-petit)
}
.menu-haut .wp-block-navigation-item .wp-block-navigation-item__content:hover,
.menu-haut .wp-block-navigation-item.faire-don .wp-block-navigation-item__content {
	background-color: var(--wp--preset--color--primaire-2);
}
.menu-haut .wp-block-navigation-item .wp-block-navigation-item__content:hover {
	color: var(--wp--preset--color--foncee);
}
.menu-haut .wp-block-navigation-item.faire-don .wp-block-navigation-item__content {
	background-color: var(--wp--preset--color--primaire-2);
	color: var(--wp--preset--color--claire);
}
.menu-haut .wp-block-navigation-item.faire-don .wp-block-navigation-item__content:hover {
	color: var(--wp--preset--color--foncee);
}

/* Logo wrapper */
.enveloppe-logo .wp-block-site-logo img {
	max-width: 65%;
}
.wp-block-navigation__responsive-container-open {
	position: absolute;
	top: 0;
	right: 34px;
	transform: translateY(calc(-84px + 1em));
}

/* Main menu */
.menu-principal .wp-block-navigation-item .wp-block-navigation-item__content:hover {
	color: var(--wp--preset--color--primaire-2);
}
.recherche-entete a {
	color: var(--wp--preset--color--foncee);
}
.recherche-entete a:hover,
.reseaux-entete a:hover {
	color: var(--wp--preset--color--primaire-2);
}
.js-actif .recherche-entete {
	position: relative;
}
.js-actif .recherche-entete .recherche-form {
	display: none;
	opacity: 0;
	position: absolute;
	top: -18px;
	right: 0;
	z-index: 100;
	background-color: var(--wp--preset--color--claire);
	padding: 10px 15px;
	min-width: 250px;
	transition: opacity 0.7s ease-out, transform 0.7s cubic-bezier(0.19, 1, 0.22, 1);
	transform: translateY(-15px);
}
.js-actif .recherche-entete .recherche-form.active {
	display: block;
	opacity: 1;
	transform: translateY(0);
}

/* Main submenu */
.menu-principal.wp-block-navigation .wp-block-navigation__submenu-container {
	text-transform: none;
}
.menu-principal.wp-block-navigation .wp-block-navigation__submenu-container .wp-block-navigation-link {
	padding: 4px 7px;
}
.menu-principal.wp-block-navigation .wp-block-navigation__submenu-container .wp-block-navigation-link:hover {
	background: var(--wp--preset--color--secondaire-5);
}

/* Internal menu */
.is-style-menu-interne .wp-block-navigation__container {
	width: 100%;
	align-items: stretch;
}
.is-style-menu-interne .wp-block-navigation-item {
	justify-content: center;
	align-items: center;
	padding: var(--wp--preset--spacing--tres-petit) var(--wp--preset--spacing--petit);
	outline: 1px solid var(--wp--preset--color--primaire-4);
	background-color: var(--wp--preset--color--claire);
}
.is-style-menu-interne .wp-block-navigation-item:first-child {
	border-radius: var(--wp--custom--arrondi--petit) var(--wp--custom--arrondi--petit) 0 0;
}
.is-style-menu-interne .wp-block-navigation-item:last-child {
	border-radius: 0 0 var(--wp--custom--arrondi--petit) var(--wp--custom--arrondi--petit);
}
.is-style-menu-interne .wp-block-navigation-item:last-child {
	border-radius: 0 0 var(--wp--custom--arrondi--petit) var(--wp--custom--arrondi--petit);
}
.is-style-menu-interne .wp-block-navigation-item:hover,
.is-style-menu-interne .wp-block-navigation-item.current-menu-item {
	color: var(--wp--preset--color--primaire-2);
	background-color: var(--wp--preset--color--secondaire-5);
}

@media (min-width: 632px) {

	.is-style-menu-interne .wp-block-navigation__container {
		flex-direction: row;
	}
	.is-style-menu-interne .wp-block-navigation-item:first-child {
		border-radius: var(--wp--custom--arrondi--petit) 0 0 var(--wp--custom--arrondi--petit);
	}
	.is-style-menu-interne .wp-block-navigation-item:last-child {
		border-radius: 0 var(--wp--custom--arrondi--petit) var(--wp--custom--arrondi--petit) 0;
	}
}

/* Force mobile menu version from 1090px */
@media (max-width: 1090px) {
	.wp-block-navigation__responsive-container-open:not(.always-shown) {
	  display: flex !important;
	}
	.wp-block-navigation__responsive-container:not(.hidden-by-default):not(.is-menu-open) {
	  display: none !important;
	}
}

/* Reactivate desktop display beyond 1091px */
@media (min-width: 1091px) {
	.wp-block-navigation__responsive-container-open:not(.always-shown) {
		display: none !important;
	}
	.wp-block-navigation__responsive-container:not(.hidden-by-default):not(.is-menu-open) {
		display: block !important;
	}
	/* Menu wrapper */
	.enveloppe-menu {
		padding: 20px 5px;
		border-top: 1px solid var(--wp--preset--color--primaire-3);
		border-bottom: 1px solid var(--wp--preset--color--primaire-3);
	}
	/* Logo wrapper */
	.enveloppe-logo .wp-block-site-logo img {
		max-width: 100%;
	}

	/* Main menu */
	.menu-principal.wp-block-navigation {
		justify-content: center;
	}
	.wp-block-navigation__submenu-container .wp-block-navigation__submenu-container {
		left: -105% !important;;
	}
	.menu-principal.wp-block-navigation .wp-block-navigation__submenu-container {
		padding: 15px;
		box-shadow: var(--wp--preset--shadow--petite);
		border: none;
	}

}